<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Excel import leads</title>
    <script src="https://code.jquery.com/jquery-3.1.1.min.js"></script>
</head>
<body>

<p>Import Leads Facebook em Excel para as campanhas: EgoiPT e MariaHelena</p>    

    <form action="" method="post" enctype="multipart/form-data">
        <input type="file" name="file"/>
        <input type="submit">
    </form>
</body>
</html>

<?php

if (!isset($_FILES["file"])) {
    return;
}

echo "A carregar...";
$current_date = date("Y-m-d H:i:s");

//upload file to server 
$target_dir = "uploads/";
$imageFileType = strtolower(pathinfo(basename($_FILES["file"]["name"]),PATHINFO_EXTENSION));
$target_file = $target_dir . $current_date . '.' . $imageFileType; //basename($_FILES["file"]["name"]);

// Allow certain file formats
if($imageFileType != "xls") {
    echo "Tipo de ficheiro não permitido";
    return false;
}
if (!move_uploaded_file($_FILES["file"]["tmp_name"], $target_file)) {
    echo "Erro no upload do ficheiro";
    return false;
}
//END upload file to server 

echo "<span style='color: green;'>Carregado!</span><br/><br/>";

$con = mysqli_connect("94.46.30.69", "bluemark_OMH2019", "xhYdv66{Dx!f", "bluemark_OMHwp")or die(json_encode("unconnected"));

$file_content = file_get_contents($target_file);
$file_xml = simplexml_load_string($file_content);

$rows = $file_xml->Worksheet->Table->Row;

$data = array();

for ($i = 1; $i < count($rows); $i++ ) { //tenho que meter $i = 1 para não apanhar o header; //percorrer cada row
    for ($y = 0; $y < count($rows[$i]->Cell); $y++ ) { // percorrer cada coluna
        //echo $rows[0]->Cell[$y]->Data . ' '; //-> header coluna
        //echo $rows[$i]->Cell[$y]->Data -> valor da coluna na row[$i] 
        //$data[$i]["'" . $rows[0]->Cell[$y]->Data . "'"] = $rows[$i]->Cell[$y]->Data; //-> guardar no data com nome da coluna data[0]['nome_completo']
        $data[$i][$y] = $rows[$i]->Cell[$y]->Data; // -> guardar no data com id da coluna data[0][12]
        //echo "[" . $i . "][" . $rows[0]->Cell[$y]->Data . "] = " . $rows[$i]->Cell[$y]->Data;
        //echo $rows[0]->Cell[$y]->Data . " = " . $rows[$i]->Cell[$y]->Data . '<br>';
        //echo "[" . $y . "] = " . $rows[$i]->Cell[$y]->Data . '<br>';
    }
    //echo '<br/>';
}

echo "<br/>Novas Leads a adicionar:<br/>";
echo "<strong>*******************************</strong><br/><br/>";

$new_rows = array();

foreach($data as $d) { //vou percorrer as rows
    $telefone_without_plus = str_replace('+', '', $d[16]);
    $refactor_phone_number = substr($telefone_without_plus, 0, 3) == '351' ? substr($telefone_without_plus, 3) : $telefone_without_plus;

    //Tenho que ver se já existe o email na bd
    //se não existir é que adiciona o nome campo a várias coisas
    $checkIfEmailOrNumberAlreadyExists = mysqli_query($con, "SELECT * FROM LeadCampanha WHERE LEAD like '$d[15]' and Campanha like 'MariaHelena'");
    if(mysqli_num_rows($checkIfEmailOrNumberAlreadyExists) > 0) { # If rows are found for query
        continue;
    }

    echo "ID: " . $d[0] . '<br/>'; // vem sempre
    echo "Data de criação: " . date_format(date_create($d[1]),"Y-m-d H:i:s") . '<br/>'; // vem sempre
    // echo "Ad ID: " . $d[2] . '<br/>'; // vem sempre
    // echo "Ad Name: " . $d[3] . '<br/>'; // vem sempre
    // echo "Adset ID: " . $d[4] . '<br/>'; // vem sempre
    // echo "adset Name: " . $d[5] . '<br/>'; // vem sempre
    // echo "Campanha ID: " . $d[6] . '<br/>'; // vem sempre
    // echo "Campanha Name: " . $d[7] . '<br/>'; // vem sempre
    // echo "Form ID: " . $d[8] . '<br/>'; // vem sempre
    // echo "Form Name: " . $d[9] . '<br/>'; // vem sempre
    echo "É organico: " . ($d[10] ? 'Sim' : 'Não') . '<br/>'; // vem sempre
    echo "Plataforma: " . $d[11] . '<br/>'; // vem sempre
    echo "Nome completo: " . $d[13] . '<br/>'; // são campos personalizados
    echo "Data de nascimento: " . date_format(date_create($d[14][0]),"Y-m-d") . '<br/>'; // são campos personalizados
    echo "E-mail: " . $d[15] . '<br/>'; // são campos personalizados
    echo "Telefone: " . $refactor_phone_number . '<br/>'; // se for portugues tira o 351, senão deixo tudo
    echo "Desejo: " . ($d[12] ? ucfirst($d[12]) : 'Não tem') . '<br/>';
    echo "<br/><strong>*******************************</strong><br/><br/>";
    
    array_push($new_rows, $d); //não existe na bd, então este vai para adicionar
}

?>

<?php if(count($new_rows) > 0) { ?>
<form action="enviaLead.php" method="post">
    <input type='password' name='secretPassword' placeholder='Secret password' style='outline:none; border: 1px solid; padding: 5px'/><br/>
    <input type="hidden" name="newRows" value='<?php echo json_encode($new_rows); ?>'/>
    <button>Confirmar</button>
    <p id="send_result"></p>
</form>
<!-- 
<script>
    $("#verifyandsend").submit(function (e) {
        e.preventDefault();
        var form = $(this);
        $.ajax({
            type: "POST",
            url: 'enviaLead.php',
            data: form.serialize(), 
            success: function (data) {
                console.log(data);
                data = JSON.parse(data);
                if(data.response) {
                    document.write(data.message.fontcolor("green"));
                } else {
                    $("#send_result").html(data.message).css('color', 'red');
                }
            }
        });
    });
</script> -->
<?php } else { echo "NÃO HÁ NOVAS LEADS"; }?>